Package tigase.monitor

# Class TasksScriptRegistrar

java.lang.Object
tigase.monitor.TasksScriptRegistrar

@Bean(name="TasksScriptRegistrar", active=true) public class TasksScriptRegistrar extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`
  `protected final Logger`
  `log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TasksScriptRegistrar()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(String taskName)`
  `Kernel`
  `getKernel()`
  `ComponentRepository<TaskConfigItem>`
  `getRepo()`
  `void`
  `load()`
  `void`
  `registerScript(String scriptName, String scriptExtension, String scriptContent)`
  `void`
  `registerTimerScript(String scriptName, String scriptExtension, String scriptContent, Long delay)`
  `void`
  `setKernel(Kernel kernel)`
  `void`
  `setRepo(ComponentRepository<TaskConfigItem> repo)`
  `void`
  `updateConfig(String taskName, Form form)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### log

    protected final Logger log

- ## Constructor Details

  - ### TasksScriptRegistrar

    public TasksScriptRegistrar()

- ## Method Details

  - ### delete

    public void delete(String taskName)

  - ### getKernel

    public Kernel getKernel()

  - ### setKernel

    public void setKernel(Kernel kernel)

  - ### getRepo

    public ComponentRepository<TaskConfigItem> getRepo()

  - ### setRepo

    public void setRepo(ComponentRepository<TaskConfigItem> repo)

  - ### load

    public void load()

  - ### registerScript

    public void registerScript(String scriptName, String scriptExtension, String scriptContent) throws ScriptException
    Throws:
      `ScriptException`

  - ### registerTimerScript

    public void registerTimerScript(String scriptName, String scriptExtension, String scriptContent, Long delay) throws ScriptException
    Throws:
      `ScriptException`

  - ### updateConfig

    public void updateConfig(String taskName, Form form)